Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
RArray Struct Reference

`#include <ruby.h>`

## Data Fields
struct RBasic | basic
union {
struct {
long len
union {
long capa
VALUE shared
} aux
VALUE * ptr
} heap
VALUE ary [RARRAY_EMBED_LEN_MAX]
} | as
union {
struct {
long len
union {
long capa
VALUE shared
} aux
VALUE * ptr
} heap
VALUE ary [RARRAY_EMBED_LEN_MAX]
} | as

## Detailed Description

Definition at line 881 of file ripper.y.

## Field Documentation

VALUE RArray::ary[RARRAY_EMBED_LEN_MAX]

Definition at line 892 of file ripper.y.

union { ... } RArray::as

union { ... } RArray::as

union { ... } RArray::aux

union { ... } RArray::aux

struct RBasic RArray::basic

Definition at line 882 of file ripper.y.

Referenced by vm_init2().

long RArray::capa

Definition at line 887 of file ripper.y.

struct { ... } RArray::heap

struct { ... } RArray::heap

long RArray::len

Definition at line 885 of file ripper.y.

VALUE* RArray::ptr

Definition at line 890 of file ripper.y.

VALUE RArray::shared

Definition at line 888 of file ripper.y.

The documentation for this struct was generated from the following file:

- include/ruby/ruby.h